export declare class HttpError extends Error {
    constructor(arg: string | Record<string, any> | undefined, statusCode: number, defaultMessage: string);
    statusCode: number;
    data: undefined | Record<string, any>;
}
export declare class UnsupportedMediaType extends HttpError {
    constructor(arg?: string | Record<string, any>);
}
export declare class TooManyRequests extends HttpError {
    constructor(arg?: string | Record<string, any>);
}
export declare class NotFound extends HttpError {
    constructor(arg?: string | Record<string, any>);
}
export declare class BadRequest extends HttpError {
    constructor(arg?: string | Record<string, any>);
}
export declare class InternalServerError extends HttpError {
    constructor(arg?: string | Record<string, any>);
}
