import { TagCacheInterface } from './CacheInterface';
export declare class NoCache implements TagCacheInterface {
    constructor(throwOnUse?: boolean);
    throwOnUse: boolean;
    get<T>(_key: string, _options?: {
        responseTimeoutInMillis?: number;
        throwOnTimeout?: boolean;
    }): Promise<T | null>;
    set(_key: string, _data: any, _param3?: any, _param4?: any): Promise<void>;
    delete(_key: string, _options?: {
        responseTimeoutInMillis?: number;
        throwOnTimeout?: boolean;
    }): Promise<void>;
    invalidateTags(_tags: string[], _options?: {
        responseTimeoutInMillis?: number;
        throwOnTimeout?: boolean;
    }): Promise<void>;
}
